## kodi-pvr-argustv 1.10.11%2Bgit20150827

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-argustv

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-argustv 1.10.11+git20150827

=== CMakeLists.txt ===
project(pvr.argustv)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/src)

if(NOT WIN32)
  add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC")
endif()

# Source files
set(ARGUSTV_SOURCES src/activerecording.cpp
                    src/argustvrpc.cpp
                    src/channel.cpp
                    src/client.cpp
                    src/epg.cpp
                    src/EventsThread.cpp
                    src/guideprogram.cpp
                    src/KeepAliveThread.cpp
                    src/pvrclient-argustv.cpp
                    src/recording.cpp
                    src/recordinggroup.cpp
                    src/tools.cpp
                    src/upcomingrecording.cpp
                    src/uri.cpp
                    src/utils.cpp)

# Header files
set(ARGUSTV_HEADERS src/activerecording.h
                    src/argustvrpc.h
                    src/channel.h
                    src/client.h
                    src/epg.h
                    src/EventsThread.h
                    src/guideprogram.h
                    src/KeepAliveThread.h
                    src/pvrclient-argustv.h
                    src/recording.h
                    src/recordinggroup.h
                    src/tools.h
                    src/upcomingrecording.h
                    src/uri.h
                    src/utils.h)
source_group("Header Files" FILES ${ARGUSTV_HEADERS})

if(WIN32)
# Misc files
set(RESOURCE_FILES pvr.argustv/addon.xml
                pvr.argustv/changelog.txt
                pvr.argustv/resources/settings.xml
                pvr.argustv/resources/language/resource.language.en_gb/strings.po)
source_group("Resource Files" FILES ${RESOURCE_FILES})
endif(WIN32)

# Make sure that CMake adds the headers to the MSVC project
list(APPEND ARGUSTV_SOURCES ${ARGUSTV_HEADERS} ${RESOURCE_FILES})

set(DEPLIBS ${platform_LIBRARIES} tsreader)

find_package(JsonCpp REQUIRED)
list(APPEND DEPLIBS ${JSONCPP_LIBRARIES})
list(APPEND INCLUDES ${JSONCPP_INCLUDE_DIRS})

include_directories(${INCLUDES})

add_subdirectory(src/lib/tsreader)

build_addon(pvr.argustv ARGUSTV DEPLIBS)

include(CPack)

=== depends/common/jsoncpp/CMakeLists.txt ===
project(jsoncpp)

cmake_minimum_required(VERSION 2.6)
enable_language(CXX)

set(SOURCES src/lib_json/json_reader.cpp
            src/lib_json/json_value.cpp
            src/lib_json/json_writer.cpp)

include_directories(${PROJECT_SOURCE_DIR}/include)

add_library(jsoncpp ${SOURCES})

install(TARGETS jsoncpp DESTINATION ${CMAKE_INSTALL_PREFIX}/lib) 
install(DIRECTORY include/json DESTINATION ${CMAKE_INSTALL_PREFIX}/include/jsoncpp)

=== debian/changelog ===
kodi-pvr-argustv (1.10.11+git20150827-2build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 09 Feb 2016 12:25:07 +0100

kodi-pvr-argustv (1.10.11+git20150827-2) unstable; urgency=medium

  * Fix compilation on armhf and on many other architectures
  * Add more detailed package description (Closes: #808744)
  * Fix order of entries in debian/copyright

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Dec 2015 12:55:22 +0100

kodi-pvr-argustv (1.10.11+git20150827-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-argustv (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Arne Morten Kvarving <arne.morten.kvarving@sintef.no>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-pvr-argustv
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev, libjsoncpp-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.argustv.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-argustv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-argustv.git


Package: kodi-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: ARGUS TV PVR addon for Kodi
 This package contains the ARGUS TV PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.
 .
 ARGUS TV is an advanced rule-based scheduling system to record TV programs.
 .
 This addon allows controlling ARGUS TV from Kodi.

## kodi-pvr-argustv 1.11.10+git20160220

=== debian/changelog ===
kodi-pvr-argustv (1.11.10+git20160220-1) unstable; urgency=medium

  * Imported Upstream version 1.11.10+git20160220
  * Drop patch integrated upstream
  * Switch to p8-platform from (cec-)platform
  * Bump standards version to 3.9.7
  * Reformat long lines of extended description

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2016 19:45:33 +0100

=== debian/control ===
Source: kodi-pvr-argustv
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev, libjsoncpp-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.argustv.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-argustv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-argustv.git


Package: kodi-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: ARGUS TV PVR addon for Kodi
 This package contains the ARGUS TV PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.
 .
 ARGUS TV is an advanced rule-based scheduling system to record TV programs.
 .
 This addon allows controlling ARGUS TV from Kodi.

## kodi-pvr-argustv 2.5.0+git20160923

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${PROJECT_SOURCE_DIR}/src)
 
@@ -66,7 +66,7 @@
 # Make sure that CMake adds the headers to the MSVC project
 list(APPEND ARGUSTV_SOURCES ${ARGUSTV_HEADERS} ${RESOURCE_FILES})
 
-set(DEPLIBS ${platform_LIBRARIES} tsreader)
+set(DEPLIBS ${p8-platform_LIBRARIES} tsreader)
 
 find_package(JsonCpp REQUIRED)
 list(APPEND DEPLIBS ${JSONCPP_LIBRARIES})

=== src/lib/tsreader/CMakeLists.txt ===
PROJECT(TSReader)

ENABLE_LANGUAGE(CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Source files
SET(SOURCES FileReader.cpp
            MultiFileReader.cpp
            TSReader.cpp)

# Header files
SET(HEADERS FileReader.h
            MultiFileReader.h
            TSReader.h)

SOURCE_GROUP("Header Files" FILES ${HEADERS})

ADD_LIBRARY(tsreader STATIC ${HEADERS} ${SOURCES})

=== debian/changelog ===
kodi-pvr-argustv (2.5.0+git20160923-3) unstable; urgency=medium

  * Update d/control using cme fix
  * Revert decreasing standards version
  * Also secure Vcs-Git URL
  * Depend on PVR API version of Kodi we built the addon with
  * Adapt to Kodi PVR api change - SeekTime

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 01:59:31 +0100

kodi-pvr-argustv (2.5.0+git20160923-2) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2016 22:27:48 +0100

kodi-pvr-argustv (2.5.0+git20160923-1) experimental; urgency=medium

  * Imported Upstream version 2.5.0+git20160923
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev which
    has all the neededheaders
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 26 Oct 2016 23:30:37 +0200

=== debian/control ===
Source: kodi-pvr-argustv
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta5+dfsg1-2~),
               libjsoncpp-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-argustv.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-argustv.git
Homepage: https://github.com/kodi-pvr/pvr.argustv.git

Package: kodi-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: ARGUS TV PVR addon for Kodi
 This package contains the ARGUS TV PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.
 .
 ARGUS TV is an advanced rule-based scheduling system to record TV programs.
 .
 This addon allows controlling ARGUS TV from Kodi.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

## kodi-pvr-argustv 3.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 endif(WIN32)
 
 # Make sure that CMake adds the headers to the MSVC project
-list(APPEND ARGUSTV_SOURCES ${ARGUSTV_HEADERS} ${RESOURCE_FILES})
+list(APPEND ARGUSTV_SOURCES ${ARGUSTV_HEADERS})
 
 set(DEPLIBS ${p8-platform_LIBRARIES} tsreader)

=== debian/changelog ===
kodi-pvr-argustv (3.5.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Add watch file
  * New upstream version 3.5.4
  * Bump build dependency kodi-addons-dev's version to (>= 18.0~)
  * Refresh patches
  * Bump libkodiplatform-dev build dependency version
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kodi-pvr-argustv
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                cmake,
-               libkodiplatform-dev (>= 17.1.0),
-               kodi-addons-dev (>= 17.0~beta5+dfsg1-2~),
-               libjsoncpp-dev
+               kodi-addons-dev (>= 2:18~),
+               libjsoncpp-dev,
+               libkodiplatform-dev (>= 20180302)
 Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-argustv.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-argustv.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-argustv
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-argustv.git
 Homepage: https://github.com/kodi-pvr/pvr.argustv.git
 
 Package: kodi-pvr-argustv

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.argustv/releases /kodi-pvr/pvr.argustv/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-argustv 7.1.0+ds1

=== debian/changelog ===
kodi-pvr-argustv (7.1.0+ds1-1) unstable; urgency=medium

  * Automatic import
  * New upstream version 7.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:52 +0000

kodi-pvr-argustv (7.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.0.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 19:42:06 +0000

=== debian/control ===
Source: kodi-pvr-argustv
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>,
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libjsoncpp-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://kodi.tv/
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media/center/kodi-pvr-argustv
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-argustv.git

Package: kodi-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Description: ARGUS TV PVR addon for Kodi
 This package contains the ARGUS TV PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.
 .
 ARGUS TV is an advanced rule-based scheduling system to record TV programs.
 .
 This addon allows controlling ARGUS TV from Kodi.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.argustv/releases \
/kodi-pvr/pvr.argustv/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-argustv 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-argustv (19.0.0+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:12 +0000

kodi-pvr-argustv (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:36 +0000

kodi-pvr-argustv (7.1.2+ds1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 7.1.2+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kodi-pvr-argustv: Add Multi-Arch: same.

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:30:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-pvr-argustv
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon,
  cmake,
  kodi-addons-dev (>= 2:19~),
  libjsoncpp-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media/center/kodi-pvr-argustv
@@ -19,6 +20,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${kodi:PVRAPI}
+Multi-Arch: same
 Description: ARGUS TV PVR addon for Kodi
  This package contains the ARGUS TV PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.argustv/releases \
/kodi-pvr/pvr.argustv/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-argustv 19.2.1%2Bds1

=== debian/changelog ===
kodi-pvr-argustv (19.2.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:54 +0000

kodi-pvr-argustv (19.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.2.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-pvr-argustv
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libjsoncpp-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-pvr-argustv 20.4.1+ds1

=== debian/changelog ===
kodi-pvr-argustv (20.4.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:32 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.argustv/releases \
/kodi-pvr/pvr.argustv/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-argustv 20.5.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.argustv)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PROJECT_SOURCE_DIR}/src)

# Source files
set(ARGUSTV_SOURCES src/activerecording.cpp
                    src/addon.cpp
                    src/argustvrpc.cpp
                    src/channel.cpp
                    src/epg.cpp
                    src/EventsThread.cpp
                    src/guideprogram.cpp
                    src/KeepAliveThread.cpp
                    src/pvrclient-argustv.cpp
                    src/recording.cpp
                    src/recordinggroup.cpp
                    src/settings.cpp
                    src/tools.cpp
                    src/upcomingrecording.cpp
                    src/uri.cpp
                    src/utils.cpp)

# Header files
set(ARGUSTV_HEADERS src/activerecording.h
                    src/addon.h
                    src/argustvrpc.h
                    src/channel.h
                    src/epg.h
                    src/EventsThread.h
                    src/guideprogram.h
                    src/KeepAliveThread.h
                    src/pvrclient-argustv.h
                    src/recording.h
                    src/recordinggroup.h
                    src/settings.h
                    src/tools.h
                    src/upcomingrecording.h
                    src/uri.h
                    src/utils.h)
source_group("Header Files" FILES ${ARGUSTV_HEADERS})

if(WIN32)
# Misc files
set(RESOURCE_FILES pvr.argustv/addon.xml
                pvr.argustv/changelog.txt
                pvr.argustv/resources/settings.xml
                pvr.argustv/resources/language/resource.language.en_gb/strings.po)
source_group("Resource Files" FILES ${RESOURCE_FILES})
add_compile_options(/wd4996)
endif(WIN32)

# Make sure that CMake adds the headers to the MSVC project
list(APPEND ARGUSTV_SOURCES ${ARGUSTV_HEADERS})

set(DEPLIBS tsreader)

find_package(JsonCpp REQUIRED)
list(APPEND DEPLIBS ${JSONCPP_LIBRARIES})
list(APPEND INCLUDES ${JSONCPP_INCLUDE_DIRS})

include_directories(${INCLUDES})

add_subdirectory(src/lib/tsreader)

build_addon(pvr.argustv ARGUSTV DEPLIBS)

# Temp workaround, this becomes later added to kodi-dev-kit system
set_target_properties(pvr.argustv PROPERTIES
    C_VISIBILITY_PRESET       hidden
    CXX_VISIBILITY_PRESET     hidden
    VISIBILITY_INLINES_HIDDEN YES
)

include(CPack)

=== debian/changelog ===
kodi-pvr-argustv (20.5.0+ds1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:48 +0200

kodi-pvr-argustv (20.5.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.5.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-pvr-argustv
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libjsoncpp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media/center/kodi-pvr-argustv
@@ -18,7 +19,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${kodi:PVRAPI}
-Multi-Arch: same
 Description: ARGUS TV PVR addon for Kodi
  This package contains the ARGUS TV PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.argustv \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-argustv 21.0.2+ds

=== debian/changelog ===
kodi-pvr-argustv (21.0.2+ds-1) unstable; urgency=medium

  * New upstream version 21.0.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:53 +0000

kodi-pvr-argustv (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.4.1+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:43 +0000

=== debian/watch ===
--- 
+++ 
@@ -6,9 +6,9 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.argustv \
-refs/tags/@ANY_VERSION@-Nexus \
+refs/tags/@ANY_VERSION@-Omega \
 debian

## kodi-pvr-argustv 21.1.0+ds

=== debian/changelog ===
kodi-pvr-argustv (21.1.0+ds-1) unstable; urgency=medium

  * New upstream version 21.1.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:28:47 +0000

kodi-pvr-argustv (21.0.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:21 +0000

## kodi-pvr-argustv 21.1.1+ds

=== src/lib/tsreader/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(TSReader)

# Source files
set(SOURCES FileReader.cpp
            MultiFileReader.cpp
            TSReader.cpp)

# Header files
set(HEADERS FileReader.h
            MultiFileReader.h
            TSReader.h)

source_group("Header Files" FILES ${HEADERS})

if(WIN32)
  add_compile_options(/wd4996)
endif()

add_library(tsreader STATIC ${HEADERS} ${SOURCES})
set_target_properties(tsreader PROPERTIES
    C_VISIBILITY_PRESET       hidden
    CXX_VISIBILITY_PRESET     hidden
    VISIBILITY_INLINES_HIDDEN YES
    POSITION_INDEPENDENT_CODE ON
)

=== debian/changelog ===
kodi-pvr-argustv (21.1.1+ds-1) unstable; urgency=high

  * New upstream version 21.1.1+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-pvr-argustv
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libjsoncpp-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media/center/kodi-pvr-argustv
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-argustv.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-argustv.git -b debian/sid
 
 Package: kodi-pvr-argustv
 Architecture: any

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.argustv \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
